# FrustumGeometry

#### new Cesium.FrustumGeometry(options)
Core/FrustumGeometry.js 34

Describes a frustum at the given the origin and orientation.

Name | Type | Description
--- | --- | ---
`options` | Object | Object with the following properties:
Name | Type | Default | Description
--- | --- | --- | ---
`frustum` | PerspectiveFrustum | OrthographicFrustum |  | The frustum.
`origin` | Cartesian3 |  | The origin of the frustum.
`orientation` | Quaternion |  | The orientation of the frustum.
`vertexFormat` | VertexFormat | `VertexFormat.DEFAULT` | optional The vertex attributes to be computed.

### Members

#### packedLength : Number
Core/FrustumGeometry.js 74

The number of elements used to pack the object into an array.

### Methods

#### static Cesium.FrustumGeometry.createGeometry(frustumGeometry) → Geometry|undefined
Core/FrustumGeometry.js 383

Computes the geometric representation of a frustum, including its vertices, indices, and a bounding sphere.

Name | Type | Description
--- | --- | ---
`frustumGeometry` | FrustumGeometry | A description of the frustum.

##### Returns:

The computed vertices and indices.

#### static Cesium.FrustumGeometry.pack(value, array, startingIndex) → Array.<Number>
Core/FrustumGeometry.js 91

Stores the provided instance into the provided array.

Name | Type | Default | Description
--- | --- | --- | ---
`value` | FrustumGeometry |  | The value to pack.
`array` | Array.<Number> |  | The array to pack into.
`startingIndex` | Number | `0` | optional The index into the array at which to start packing the elements.

##### Returns:

The array that was packed into

#### static Cesium.FrustumGeometry.unpack(array, startingIndex, result)
Core/FrustumGeometry.js 136

Retrieves an instance from a packed array.

Name | Type | Default | Description
--- | --- | --- | ---
`array` | Array.<Number> |  | The packed array.
`startingIndex` | Number | `0` | optional The starting index of the element to be unpacked.
`result` | FrustumGeometry |  | optional The object into which to store the result.